#include <stdio.h>
#include <ctype.h>

int prihvacanje(int n, int *redni_broj) {
  /* citamo znakove dok ne procitamo n linija */
  int br_linija = 0; // koliko linija smo procitali
  int br_prihvacenih = 0; // koliko smo linija prihvatili
  int rb; // koji je redni broj koji trebamo vratiti
  char znak; // znak koji ucitavamo
  int broj = 0; // broj znakova a,b ili c procitano u \1
  int prihvaca; // flag za prihvacanje ili neprihvacanje linije

  /* faza nam oznacava gdje smo u izrazu
     - ako gledamo dio [^abc]+ onda je faza=0
     - ako gledamo [a-c]{2,3} onda je faza=1
       (cim predjemo u fazu 1 pamtimo poziciju)
     - ako gledamo \d onda je faza=2
  */
  int faza = 0;


  while (br_linija < n) {
    prihvaca = 1; // pretpostavimo da je linija ok
    // ucitamo prvi znak linije
    scanf("%c", &znak);

    // ako prvi znak ne odgovara, cijela linija se ne prihvaca
    if (znak == 'a' || znak == 'b' || znak == 'c') {
      prihvaca = 0;
    }

    rb = 0; // resetiramo brojac znakova
    broj = 0; // trebamo brojac koji broji znakove u drugoj fazi
    faza = 0;

    // ucitavamo znakove do kraja linije
    while (znak != '\n') {
      if (prihvaca == 0) {
        scanf("%c", &znak);
        continue;
      }

      if (faza == 0) {
        // racunamo pocetak druge grupacije
        rb++;
        // u trenu kad procitamo a, b ili c idemo u sljedecu fazu
        if (znak == 'a' || znak == 'b' || znak == 'c')
          faza++;
      }

      if (faza == 1) {
        if (znak == 'a' || znak == 'b' || znak == 'c')
          broj++;
        // ako procitamo znamenku idemo na sljedecu fazu
        else if (isdigit(znak))
          faza++;
        // ako procitamo nesto sto nije a,b,c ili znamenka
        // onda se ne prihvaca linija
        else 
          prihvaca = 0;
      }

      if (faza == 2) {
        if (!isdigit(znak)) {
          prihvaca = 0;
        }
      }

      scanf("%c", &znak);
    }

    // ako smo prerano procitali novi redak, linija nije prihvacena
    if (faza == 0 || broj != 2 && broj != 3) {
      prihvaca = 0;
    }
    br_linija++;
    br_prihvacenih += prihvaca;
  }
  
  /* kad izadjemo, ucitano je n linija, gledamo da li je zadnja prosla */
  if (prihvaca == 1) {
    *redni_broj = rb;
  }
  return br_prihvacenih;
}


// main nije potreban, sluzi samo za ispis
int main(void) {
  int n;
  int redni = -1; // redni se ne mijenja ako zadnja linija nije prihvacena
  scanf("%d", &n);
  scanf("%*c");

  printf("%d", prihvacanje(n, &redni));
  printf(" %d\n", redni);

  return 0;
}
